Autor Tema: Migrar araí-usuarios 3.0 a 3.1  (Leído 149 veces)

0 Usuarios y 1 Visitante están viendo este tema.

mmunoz

  • General
  • *
  • Mensajes: 146
    • Ver Perfil
    • Email
  • Institución: UNPSJB
  • Nombre y apellido: Marcelo Alejandro Muñoz
  • Sistema: Siu-Araucano - Siu-kolla
  • Teléfono laboral: 0297-4557856 int 116
Migrar araí-usuarios 3.0 a 3.1
« on: Mayo 24, 2021, 08:36:39 am »
Buenos días:
                           Estamos tratando de implementar EEI versión 1.1.0. Mirando los changelog de la versión se ve que hay que pasar Araí-usuarios de la versión 3.0 a 3.1.
                           Siguiendo la documentación de la actualización, pudimos actualizar la estructura de ldap, pero no pudimos actualizar la base de datos. Ejecutar el comando que se muestra en https://documentacion.siu.edu.ar/usuarios/docs/cache/3.0-to-3.1/#actualizar-postgresql nos dió un error que no conoce idm/bin/instalador.

                           
Cita
docker run --rm -it     --env-file=migrar.env    --volume /tmp/instalacion_3_0:/tmp/mapeo_interno    hub.siu.edu.ar:5005/siu-arai/arai-usuarios/idm:v3.0.5 --    sed -i 's/\[arai_usuarios\]/\[arai_usuarios\]\nusar_perfiles_propios="1"/g' /usr/local/app/idm/instalacion/i__produccion/instancia.ini    && idm/bin/instalador instalacion:exportar -d /tmp/mapeo_interno --no-interaction --no-progress

-bash: idm/bin/instalador: No existe el fichero o el directorio

                           Que nos estará faltando?
Desde ya muchas gracias por su atención.

Saludos,

Marcelo.


mmunoz

  • General
  • *
  • Mensajes: 146
    • Ver Perfil
    • Email
  • Institución: UNPSJB
  • Nombre y apellido: Marcelo Alejandro Muñoz
  • Sistema: Siu-Araucano - Siu-kolla
  • Teléfono laboral: 0297-4557856 int 116
Re:Migrar araí-usuarios 3.0 a 3.1
« Respuesta #1 on: Mayo 25, 2021, 09:31:38 am »
Buenos días:
                           Intentamos correr el comando sin las acciones de modificar instancia.ini y exportar la instalación ejectuando:

Cita
docker run --rm -it  --env-file=migrar.env --volume /tmp/instalacion_3_0:/tmp/mapeo_interno hub.siu.edu.ar:5005/siu-arai/arai-usuarios/idm:v3.0.5
sirviendo . . .
[Tue May 25 09:26:55.360932 2021] [core:warn] [pid 6] AH00111: Config variable ${TOBA_ALIAS_NUCLEO} is not defined
[Tue May 25 09:26:55.361402 2021] [core:warn] [pid 6] AH00111: Config variable ${IDM_URL_ALIAS} is not defined
[Tue May 25 09:26:55.361496 2021] [core:warn] [pid 6] AH00111: Config variable ${IDM_URL_ALIAS} is not defined
AH00526: Syntax error on line 30 of /usr/local/app/idm/instalacion/toba.conf:
RewriteBase: argument is not a valid URL

                           Tendrá que ver con el archivo migrar.env? en url de idm probamos con la url del sistema, la que está en la documentación y otras...pero siempre el mismo resultado.

Saludos,
Marcelo.

Sergio F. Vier

  • Desarrollador SIU
  • Moderador Global
  • *****
  • Mensajes: 788
    • Ver Perfil
  • Institución: SIU
  • Nombre y apellido: Sergio Fabian Vier
Re:Migrar araí-usuarios 3.0 a 3.1
« Respuesta #2 on: Mayo 26, 2021, 04:01:02 pm »
Hola Marcelo!

CUIDADO, lean atentamente la documentación. En el EEI 1.1.0 se agregó una guía para realizar la actualización de la 1.0 a .a 1.1 respectivamente.

En dicha guía, se los asiste para migrar la base de datos PostgreSQL de arai-usuarios usando scripts o deploys mediante "docker swarm". La guía que vos pasaste es la genérica de arai-usuarios (si se usa por fuera de EEI por ej.).

Si en algún punto la documentación del EEI los confundió para el update, estaría bueno que nos lo hagan llegar como feedback. Asi la vamos mejorando.

Saludos!
happy coding!!

mmunoz

  • General
  • *
  • Mensajes: 146
    • Ver Perfil
    • Email
  • Institución: UNPSJB
  • Nombre y apellido: Marcelo Alejandro Muñoz
  • Sistema: Siu-Araucano - Siu-kolla
  • Teléfono laboral: 0297-4557856 int 116
Re:Migrar araí-usuarios 3.0 a 3.1
« Respuesta #3 on: Mayo 26, 2021, 07:32:45 pm »
Hola Sergio:
                           Disculpas. Me fuí directamente a ver el changelog y llegué a la documentación de araí-usuarios (nos sirvió para actualizar ldap). No me percaté de la documentación de EEI 1.0 a 1.1.
                           Quedó migrado sin problema.

Muchas gracias.
Saludos,
Marcelo.